 /************************************************************************
 *	@file			PacManDemo/XKError.h
 *	@brief			demo쳣ƣXKError̳STLexception
 *
 *	@author			Xiong Xinke
 *	@copyright		Xiong Xinke
 *	@date			2005-2-22 21:30:58
 ************************************************************************/
#ifndef __PACMANDEMO_XKERROR_H__
#define __PACMANDEMO_XKERROR_H__

#include <exception>
#include <string>
#include <windows.h>

using namespace std;

#pragma warning(disable : 4786)

class XKError : public exception  
{
public:
	XKError( const string& message );
	XKError( const string& message , char* file , DWORD line );
	XKError( const string& message, char* file, DWORD line, HRESULT hr);
	virtual ~XKError();

	void Notify() const;

private:

	string AssembleOutput() const;	

	//쳣ͣȡڹһXKErrorʱʹֹ캯
	enum EXCEPTION_TYPE 
	{
		EXCEPTION_MESSAGE,	//ֻǵϢ
		EXCEPTION_REGULAR,	//Ϣļʹк
		EXCEPTION_DX		//ϢļʹкԼ
	};

	EXCEPTION_TYPE m_eType;	//쳣
	string m_strTitle;		//Ϣıַ
	string m_strMessage;	//ϢĴϢַ
	string m_strFile;		//ϢĴڵļַ
	DWORD  m_dwLine;		//ϢĴڵкŵַ
	HRESULT m_hResult;		//صĴ
};
#endif /* __PACMANDEMO_XKERROR_H__ */
