/************************************************************************
 *	@file			PacManDemo/XKGhost.h
 *	@brief			Playerĵˡghost࣬ghostҲ
					һ2DϷobject
 *
 *	@author			Xiong Xinke
 *	@copyright		Xiong Xinke
 *	@date			2005-2-22 10:58:25
 ************************************************************************/
#ifndef __PACMANDEMO_XKGHOST_H__
#define __PACMANDEMO_XKGHOST_H__

#include "XKGame2DObject.h"
#include "XKPacMaze.h"

#pragma warning(disable : 4786)

//ħ״̬
enum GHOST_STATE 
{ 
	GHOST_STRONG,	//ǿ׳״̬ʱplayerԱħɱ
	GHOST_FLASHING, //ħ˸״̬
	GHOST_WEAK, 
	GHOST_DEAD		//ħ״̬
};

//ħAI
enum GHOST_AI
{ 
	GHOST_AGGRESIVE, //׷player
	GHOST_PASSIVE,	 //
	GHOST_EVASIVE	 //ӱplayer
};

class XKGhost : public XKGame2DObject  
{
public:
	XKGhost( XKPacMaze* pMaze );
	virtual ~XKGhost();
	
	virtual void Update();
	virtual void Render2D();
	virtual void Collision(XKGame2DObject* p2DObj );
	void	MakeWeak();
private:

	RUSH_DIR RandomDirection();		//ָķ

	GHOST_STATE m_State;			//ghostĵǰ״̬
	GHOST_AI	m_AIState;			//ghostAI״̬
	XKSprite*	m_pGhost;			//ghostsprite 
	int			m_nFrameNumber;		//ghostsprite֡
	RUSH_DIR	m_Dir;				//ghost˶ķ
	float		m_fWeakStartTime;	//ghostʼÿɱplayerʱʱ
	XKPacMaze*	m_pPacMaze;			//ָͼָ
};
#endif /* __PACMANDEMO_XKGHOST_H__ */
